<app-candidate-nav></app-candidate-nav>
<div class="mat-elevation-z8" s>
    <div>
        <table>
            <tr>
                <td class="skillsInput">
            <tr>
                <td *ngIf="newSkill">{{newSkill.skillName}}</td>
                <td>
                    <mat-select [(ngModel)]="newSkill" name="newSkill">
                        <mat-option *ngFor="let skill of skillsList" [(value)]="skill">
                            {{skill.skillName}}
                        </mat-option>
                    </mat-select>
                </td>
                <td>
                    <button mat-mini-fab color="primary" (click)="addskill(newSkill)">
                        +
                    </button>
                </td>

            </tr>
            </td>
            <td class="skillsDisplay">
                <table>
                    <tr *ngFor="let skilldisplay of skillList;let i=index">
                        <td class="skills">
                            <button mat-raised-button color="primary"
                                (click)="removeskill(i)">{{skilldisplay.skillName}}
                                &nbsp;x</button>
                        </td>
                    </tr>
                </table>
            </td>
            </tr>
            <tr>
                <td></td>
            </tr>
        </table>
    </div>
    <div style="flex-direction: row;display: flex; justify-content: space-around; margin-top: 2%;">
        <button mat-raised-button color="warn" (click)="updateSkills()">Add Skills</button>
        <button mat-raised-button color="primary" (click)="updateSkillsSet()">Update SkillSet
            <mat-icon>create</mat-icon>
        </button>
    </div>
    <div class="existing-skills">Candidate Skills</div>
    <div *ngIf="skills">
        <mat-grid-list cols="5" rowHeight="5:1">
            <mat-grid-tile *ngFor="let skill of skills"><button mat-stroked-button
                    color="warn">{{skill.skillName}}</button></mat-grid-tile>
        </mat-grid-list>
    </div>
</div>

<div class="mat-elevation-z8" *ngIf="addSkillSet">
    <mat-form-field>
        <mat-label>Add New Skill</mat-label>
        <input matInput [formControl]="newSkillSet" />
    </mat-form-field><button mat-mini-fab color="primary" (click)="addNewSkill()">Add</button>
    <div *ngIf="msg">{{msg}}</div>
    <div class="existing-skills">Existing Skills</div>
    <div *ngIf="skillList">
        <mat-grid-list cols="5" rowHeight="5:1">
            <mat-grid-tile *ngFor="let skill of allSkills"><button mat-stroked-button
                    color="warn">{{skill.skillName}}</button></mat-grid-tile>
        </mat-grid-list>
    </div>
</div>